%if 0%{?el7}
%define dist .el7
%endif

Name:		cacti-plugins-ntop
Version:	0.2
Release:	4%{?dist}
Summary:	Display Ntop inside of Cacti

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/System
License:	GPLv2
URL:		http://docs.cacti.net/
#Source0:	http://docs.cacti.net/_media/plugin:ntop-v0.2-1.tgz
Source0:	ntop-v0.2-1.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:   ntop
Requires:	cacti >= 0.8.8

%description
This plugin allows you to view Ntop as a tab in Cacti

%prep
%setup -q -n ntop

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/ntop
%{__install} -m0644 *.php $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/ntop
%{__cp} -rp images $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/ntop

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_datadir}/cacti/plugins/ntop/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.2-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.2-3
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 0.2-2
- Rebuilt for fc22

* Fri Apr 13 2012 momo-i <webmaster@momo-i.org> - 0.2-1
- Initial rpm release.
